Subject: bug#32502: 27.0.50; Tramp; C-g during asynchronous remote find-file kills Emacs

From: Michael Albinus <[email-masked]>
Date: Wed, 29 Aug 2018 18:46:01 +0200

Eli Zaretskii <[email-masked]> writes:

>> > Emacs aborting in this case is arguably by design, not a bug.
>> 
>> Why do you believe that aborting is by design? I would regard it as a bug.
>
> Because the code speaks for itself:
>
>   static Lisp_Object
>   signal_or_quit (Lisp_Object error_symbol, Lisp_Object data, bool keyboard_quit)
>   {
>     [...]
>     if (gc_in_progress || waiting_for_input)  <<<<<<<<<<<<<<<<<<<<<<<<
>       emacs_abort ();
>
> It could be that the reason for that is no longer valid when the
> signal was raised by another thread, via thread-signal.

But I haven't done any user input. I've evaluated the code snippet given
by Gemini, and then I've done nothing. Emacs was idle I believe. And it
aborted.

I will bisect, in order to see where this bug comes from.

Best regards, Michael?